This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 831309 - wicd-curses depends on wicd-gtk, but explicit dependency is missing.
wicd-curses depends on wicd-gtk, but explicit dependency is missing.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 14:08 EDT by Igor Vlasenko
Modified: 2012-08-02 10:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: wicd-1.7.2.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-02 10:22:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Vlasenko 2012-06-12 14:08:22 EDT
Description of problem:
curses/configscript_curses.py explicitly imports configscript.py from gtk/
creating a hidden dependency.

As a result, standalone wicd-curses will not work without installed wicd-gtk.
This is an upstream bug, they should refactor gtk/configscript.py
and separate common library.

Until then there should be the explicit Requires: wicd-gtk in wicd-curses.

Version-Release number of selected component (if applicable):
1.7.2.1-1.fc18
Comment 1 David Cantrell 2012-08-02 10:22:34 EDT
Easy enough to fix.  Fixed in wicd-1.7.2.4-1.fc18.

Note You need to log in before you can comment on or make changes to this bug.